--- ${PACKAGE_NAME}
-- Nenue
-- 0 3dbcad2b387d57810e3e2daedce78d591d51abe7
-- 0 3dbcad2b387d57810e3e2daedce78d591d51abe7
-- Created: 3/29/2016 7:07 PM
local B = select(2,...).frame
local mod = B:RegisterModule("ObjectiveTracker", _G.VeneerObjectiveWrapper, 'BuffFrame')
local print = B.print('Objectives')
local Tracker, AutoQuest, Quest, Cheevs = mod.Tracker, mod.AutoQuest, mod.Quest, mod.Cheevs

--------------------------------------------------------------------
--- Tracker-specific widget functions
--------------------------------------------------------------------

Tracker.Select = function(self) end
Tracker.Open = function(self) end
Tracker.Remove = function(self) end
Tracker.Report = function(self)
  print('Stats:', self.numWatched,'items tracked,', self.numBlocks,'blocks assigned.')
end

Tracker.OnMouseUp = function(self, button)
  if button == 'LeftButton' then
    self:Select()
    mod.UpdateWrapper()
  elseif button == 'RightButton' then
    self:Open()
  end
  print('|cFFFF8800'..tostring(self:GetName())..':MouseUp()|r ->',self.info.trackingID)
end

Tracker.OnMouseDown = function(self, button)
  if button == 'LeftButton' then
    self:SetStyle('Active')
  end
  print(self.info.title)
end

-----------------------------
--- AUTO_QUEST
AutoQuest.name = "Remote Quests"
AutoQuest.GetNumWatched = GetNumAutoQuestPopUps

-----------------------------
--- QUEST
Quest.name = "Quests"
Quest.Select = function(self)
  SetSuperTrackedQuestID(self.info.questID)
end
Quest.Open = function(self)
  print('something something quest log')
  QuestMapFrame_ShowQuestDetails(self.info.questID)
  ToggleQuestLog()
end


-----------------------------
--- CHEEVS
Cheevs.Select = function(self)
end

Cheevs.Open = function(self)
end

